View Issue Details

IDProjectCategoryView StatusLast Update
0000512Pgpool-IIBugpublic2019-08-16 10:25
ReporterS.KenAssigned Topengbo 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionopen 
PlatformUnixOSFreeBSDOS Version11.2
Product Version4.0.5 
Target Version4.0.6Fixed in Version4.0.6 
Summary0000512: V4_0_5 doesn't compile under freebsd on auth/pool_hba.c
Descriptioncant compile auth/pool_hba.c




Steps To Reproducedownload pgpool 4.0.5 to a 11.2 freebsd machine
running postgresql 11.2. gcc 8.3.0

./configure && gmake clean && gmake

//And errors occur this command in 'gmake'

gcc -DHAVE_CONFIG_H -DDEFAULT_CONFIGDIR=\"/usr/local/etc\" -DHEALTHCHECK_OPTS=0 -I. -I../src/include -D_GNU_SOURCE -I /usr/local/pgsql/include -g -O2 -Wall -Wmissing-prototypes -Wmissing-declarations -fno-strict-aliasing -c -o auth/pool_hba.o auth/pool_hba.c

//the first three

auth/pool_hba.c: In function 'sendAuthRequest' :
auth/pool_hba.c:939:11: warning: implicit declaration of function 'htonl' ; did you mean 'atoll'? [-Wimplicit-function-declaration]
  wsize = htonl(sizeof(int) * 2);
          atoll

auth/pool_hba.c: At top level:
auth/pool_hba.c:1243:15: warning: 'struct sockaddr_in' declared inside parameter list will not be visible outside of this definition or declaration
 ipv4eq(struct sockaddr_in *a, struct sockaddr_in *b)

auth/pool_hba.c: In function 'ipv4eq':
Auth/pool_hba.c:1245:11: error: dereferencing pointer to incomplete type 'struct sockaddr_in'
  Return (a->sin_addr. s_addr == b->sin_addr. s_addr);

//~ and some warnings ~

gmake[2]: *** [Makefile:776: auth/pool_hba. o] Error 1
gmake[2]: Leaving directory '/usr/local/src/pgpool-II-4.0.5/src'
gmake[1]: *** [Makefile:842: all-recursive] Error 1
gmake[1]: Leaving directory '/usr/local/src/pgpool-II-4.0.5/src'
gmake: *** [Makefile:399: all-recursive] Error 1
Additional InformationI try to compile by all 4.x.x version. But same error occured , and stoped compile.
TagsNo tags attached.

Relationships

related to 0000519 closedpengbo Freebsd build is failing 

Activities

pengbo

2019-05-21 09:04

developer   ~0002605

I will check this issue.

pengbo

2019-05-23 16:48

developer   ~0002634

It is same issue with bug519.
Patch is attached.

bug519.patch (330 bytes)
diff --git a/src/auth/pool_hba.c b/src/auth/pool_hba.c
index 06b3727..794ec01 100644
--- a/src/auth/pool_hba.c
+++ b/src/auth/pool_hba.c
@@ -30,6 +30,10 @@
 #include <errno.h>
 #include <netdb.h>
 
+#ifdef __FreeBSD__
+#include <netinet/in.h>
+#endif
+
 #include "pool.h"
 #include "auth/pool_hba.h"
 #include "utils/pool_path.h"
bug519.patch (330 bytes)

Issue History

Date Modified Username Field Change
2019-05-18 09:08 S.Ken New Issue
2019-05-21 09:03 administrator Assigned To => pengbo
2019-05-21 09:03 administrator Status new => assigned
2019-05-21 09:04 pengbo Note Added: 0002605
2019-05-23 16:48 pengbo File Added: bug519.patch
2019-05-23 16:48 pengbo Note Added: 0002634
2019-05-23 16:48 pengbo Relationship added related to 0000519
2019-05-23 16:49 pengbo Status assigned => feedback
2019-05-23 16:49 pengbo Target Version => 4.0.6
2019-05-24 13:41 pengbo Status feedback => resolved
2019-08-15 19:15 administrator Fixed in Version => 4.0.6
2019-08-16 10:25 administrator Status resolved => closed